can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

classic Classic list List threaded Threaded
10 messages Options
Reply | Threaded
Open this post in threaded view
|

can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

dtrepanier
Does anyone have this jar, fedlib-10.0.1.jar ?  Or know where I can download it ?   I have tried maven repos with no luck.

Trying to build Connect 4.6.0 and getting this error

Failed to read artifact descriptor for org.forgerock.openam:fedlib:jar:10.0.1: Could not transfer artifact org.forgerock.openam:fedlib:pom:10.0.1 from/to forgerock (http://maven.forgerock.org/repo/releases): Not authorized , ReasonPhrase:Unauthorized
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

dtrepanier

Access to the forgerock Maven repository NOW requires a paid subscription.

See these topics:
https://forum.forgerock.com/topic/incident-on-forgerock-maven-repository/
https://forum.forgerock.com/topic/maven-forgerock-org-problem/
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

dtrepanier
In reply to this post by dtrepanier
Looks like the jar might be named "openfedlib-10.0.1.jar", but not sure.  All I know is the artifact descriptor is org.forgerock.openam:fedlib:jar:10.0.1
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

Sovann Huynh
Administrator
Hi John, unfortunately there are two jar files:

clientsdk-10.0.1.jar
openfedlib-10.0.1.jar

The first one can be taken from older CONNECT binary downloads (example:  CONNECT-Direct-4.5.0-JB7\CONNECT-JB7\4.5.0\CONNECT-JB7-4.5.0.ear\lib)

If you can find a way to download the second jar file, you can use the directions below to work around the dependency:

Create a new folder.
Copy the jar files to new folder.
Navigate to the new folder and use Maven commands to install forgerock artifacts to your private maven repository:
     mvn install:install-file -Dfile=clientsdk-10.0.1.jar -DpomFile=clientsdk-10.0.1.pom
     mvn install:install-file -Dfile=fedlib-10.0.1.jar -DpomFile=fedlib-10.0.1.pom
Sovann
CONNECT Product Team Member
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

dtrepanier
Thanks for responding.  I was able to do your work-around for the first jar, but I can't find a copy of openfedlib-10.0.1.jar anywhere.
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

Sovann Huynh
Administrator
Is the email you have on file still good?

Also, can I ask why you are building CONNECT 4.6 instead of using our binary distribution - https://connectopensource.atlassian.net/wiki/spaces/CONNECTWIKI/pages/117610137/CONNECT+Binaries+by+Release
Sovann
CONNECT Product Team Member
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

dtrepanier
Yes, dtrepanier@ihie.org is still good.

I was testing some changes to the stock adapter code.  I was able to get past this issue by commenting out the module in the pom.xml that references the fedlib artifact.

   <module>CONNECTAdapterPDPOpenSSO</module>
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

Sovann Huynh
Administrator
Great. Just FYI ... CONNECT 5.0 no longer uses the ForgeRock jars in case you decide to try out our latest. "Closing" this issue.
Sovann
CONNECT Product Team Member
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

simConnectForum
Hello.
Can you please tell me where I can obtain this jar. I'm trying to build 4.6/4.7 and getting the following error:
Failed to execute goal on project CONNECTAdapterPDPOpenSSO: Could not resolve dependencies for project org.connectopensource:CONNECTAdapterPDPOpenSSO:jar:4.6.0: Failed to collect dependencies at org.forgerock.openam:fedlib:jar:10.0.1: Failed to read artifact descriptor for org.forgerock.openam:fedlib:jar:10.0.1: Could not transfer artifact org.forgerock.openam:fedlib:pom:10.0.1 from/to forgerock (http://maven.forgerock.org/repo/releases): Not authorized , ReasonPhrase:Unauthorized. -> [Help 1]

Thanks in advance.
Reply | Threaded
Open this post in threaded view
|

Re: can't build 4.6.0, org.forgerock.openam:fedlib:jar:10.0.1

user
This post was updated on .
In reply to this post by Sovann Huynh
CONNECT 5.0 - has it been released though?

Upd: yes, see this thread http://forums.connectopensource.org/CONNECT-5-0-released-td7580738.html